#
# spec file for package texlive-specs-x
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define build_slice x
%define __perl_requires		%{nil}
%define __os_install_post       /usr/lib/rpm/brp-compress \\\
  %(ls /usr/lib/rpm/brp-suse.d/* 2> /dev/null | grep -vE 'check-la|boot-scripts|rpath|symlink|desktop|strip-debug|gcc-output|debuginfo|libtool|kernel-log') %{nil}
# skip-check-libtool-deps
%if 0%{?_with_debug:1}
%define __debug_install_post : > %{_builddir}/%{?buildsubdir}/debugfiles.list
%define debug_package %{nil}
%endif

# skip-check-libtool-deps
Name:           texlive-specs-x
Version:        2012
Release:        4.5.2
Summary:        One spec file for all TeX Live packages
License:        Apache-1.0 and GPL-2.0+ and LPPL-1.0 and OFL-1.1 and SUSE-Public-Domain
Group:          Development/Tools/Building
Url:            http://build.opensuse.org/package/show?package=texlive-specs-x&project=Publishing:TeXLive
Source0:        texlive-specs.tar.xz
Source1000:     xargs.doc.tar.xz
Source1001:     xargs.tar.xz
Source1002:     xbmc.tar.xz
Source1003:     xcite.doc.tar.xz
Source1004:     xcite.tar.xz
Source1005:     xcolor.doc.tar.xz
Source1006:     xcolor.tar.xz
Source1007:     xcomment.doc.tar.xz
Source1008:     xcomment.tar.xz
Source1009:     xdoc.doc.tar.xz
Source1010:     xdoc.tar.xz
Source1011:     xdvi.doc.tar.xz
Source1012:     xdvi.tar.xz
Source1013:     xecjk.doc.tar.xz
Source1014:     xecjk.tar.xz
Source1015:     xecolor.doc.tar.xz
Source1016:     xecolor.tar.xz
Source1017:     xecyr.doc.tar.xz
Source1018:     xecyr.tar.xz
Source1019:     xeindex.doc.tar.xz
Source1020:     xeindex.tar.xz
Source1021:     xepersian.doc.tar.xz
Source1022:     xepersian.tar.xz
Source1023:     xesearch.doc.tar.xz
Source1024:     xesearch.tar.xz
Source1025:     xetex-def.tar.xz
Source1026:     xetex-devanagari.doc.tar.xz
Source1027:     xetex-devanagari.tar.xz
Source1028:     xetex-itrans.doc.tar.xz
Source1029:     xetex-itrans.tar.xz
Source1030:     xetex-pstricks.doc.tar.xz
Source1031:     xetex-pstricks.tar.xz
Source1032:     xetex.doc.tar.xz
Source1033:     xetex.post
Source1034:     xetex.tar.xz
Source1035:     xetex_runfiles.list
Source1036:     xetexconfig.tar.xz
Source1037:     xetexfontinfo.doc.tar.xz
Source1038:     xetexfontinfo.tar.xz
Source1039:     xetexref.doc.tar.xz
Source1040:     xfor.doc.tar.xz
Source1041:     xfor.tar.xz
Source1042:     xgreek.doc.tar.xz
Source1043:     xgreek.tar.xz
Source1044:     xhfill.doc.tar.xz
Source1045:     xhfill.tar.xz
Source1046:     xifthen.doc.tar.xz
Source1047:     xifthen.tar.xz
Source1048:     xits.doc.tar.xz
Source1049:     xits.tar.xz
Source1050:     xkeyval.doc.tar.xz
Source1051:     xkeyval.tar.xz
Source1052:     xlop.doc.tar.xz
Source1053:     xlop.tar.xz
Source1054:     xltxtra.doc.tar.xz
Source1055:     xltxtra.tar.xz
Source1056:     xmlplay.doc.tar.xz
Source1057:     xmlplay.tar.xz
Source1058:     xmltex.doc.tar.xz
Source1059:     xmltex.tar.xz
Source1060:     xmpincl.doc.tar.xz
Source1061:     xmpincl.tar.xz
Source1062:     xnewcommand.doc.tar.xz
Source1063:     xnewcommand.tar.xz
Source1064:     xoptarg.doc.tar.xz
Source1065:     xoptarg.tar.xz
Source1066:     xpatch.doc.tar.xz
Source1067:     xpatch.tar.xz
Source1068:     xq.doc.tar.xz
Source1069:     xq.tar.xz
Source1070:     xskak.doc.tar.xz
Source1071:     xskak.tar.xz
Source1072:     xstring.doc.tar.xz
Source1073:     xstring.tar.xz
Source1074:     xtab.doc.tar.xz
Source1075:     xtab.tar.xz
Source1076:     xunicode.doc.tar.xz
Source1077:     xunicode.tar.xz
Source1078:     xwatermark.doc.tar.xz
Source1079:     xwatermark.tar.xz
Source1080:     xyling.doc.tar.xz
Source1081:     xyling.tar.xz
Source1082:     xypic-tut-pt.doc.tar.xz
Source1083:     xypic.doc.tar.xz
Source1084:     xypic.tar.xz
Source1085:     xytree.doc.tar.xz
Source1086:     xytree.tar.xz
NoSource:       1000
NoSource:       1001
NoSource:       1002
NoSource:       1003
NoSource:       1004
NoSource:       1005
NoSource:       1006
NoSource:       1007
NoSource:       1008
NoSource:       1009
NoSource:       1010
NoSource:       1011
NoSource:       1012
NoSource:       1013
NoSource:       1014
NoSource:       1015
NoSource:       1016
NoSource:       1017
NoSource:       1018
NoSource:       1019
NoSource:       1020
NoSource:       1021
NoSource:       1022
NoSource:       1023
NoSource:       1024
NoSource:       1025
NoSource:       1026
NoSource:       1027
NoSource:       1028
NoSource:       1029
NoSource:       1030
NoSource:       1031
NoSource:       1032
NoSource:       1034
NoSource:       1036
NoSource:       1037
NoSource:       1038
NoSource:       1039
NoSource:       1040
NoSource:       1041
NoSource:       1042
NoSource:       1043
NoSource:       1044
NoSource:       1045
NoSource:       1046
NoSource:       1047
NoSource:       1048
NoSource:       1049
NoSource:       1050
NoSource:       1051
NoSource:       1052
NoSource:       1053
NoSource:       1054
NoSource:       1055
NoSource:       1056
NoSource:       1057
NoSource:       1058
NoSource:       1059
NoSource:       1060
NoSource:       1061
NoSource:       1062
NoSource:       1063
NoSource:       1064
NoSource:       1065
NoSource:       1066
NoSource:       1067
NoSource:       1068
NoSource:       1069
NoSource:       1070
NoSource:       1071
NoSource:       1072
NoSource:       1073
NoSource:       1074
NoSource:       1075
NoSource:       1076
NoSource:       1077
NoSource:       1078
NoSource:       1079
NoSource:       1080
NoSource:       1081
NoSource:       1082
NoSource:       1083
NoSource:       1084
NoSource:       1085
NoSource:       1086
BuildRequires:  buffer
BuildRequires:  ed
BuildRequires:  file
BuildRequires:  fontconfig
BuildRequires:  ghostscript-fonts-std
BuildRequires:  mkfontdir
BuildRequires:  mkfontscale
BuildRequires:  texlive-filesystem
BuildConflicts: texinfo
BuildRequires:  xfs
BuildRequires:  xorg-x11-fonts-core
BuildRequires:  xz
BuildArch:      noarch

%description
Use one rpm spec file for repackaging the texmf/texmf-dist
the several tar balls of TeX Live. 

%prep
pushd %_sourcedir
    chmod g-w *.tar.xz
popd
%setup -n texlive-specs -q
%build
(cat > Makefile)<<'EOF'
 topdir=$(abspath ../..)
rootdir=$(topdir)/BUILDROOT
 SHELL := /bin/bash

%%.rpm: root=$(rootdir)/$*.noarch
%%.rpm: %%.spec
	exec > >(exec buffer -s 256k -m 1m -u 10) 2>&1; \
	rpmbuild -ba --buildroot $(root) --define '_srcdefattr (-,root,root)' --define 'rlobs %release' %{?disturl:--define 'disturl %disturl'} $< && \
	rm -rf $(topdir)/BUILD/$*-[0-9]*

%if %{defined build_slice}
specs := $(foreach spec,%build_slice,$(wildcard texlive-$(spec)*.spec))
%else
specs := $(sort $(filter-out texlive-specs.specs,$(wildcard *.spec)))
%endif
rpms := $(specs:.spec=.rpm)

all: $(rpms)
EOF
make topdir=%{_topdir} %{?_smp_mflags}

%install

%files
%defattr(-,root,root,0755)

%changelog
* Tue Jul 16 2013 werner@suse.de
- Let texlive-arev require tex(mdacmr.fd) (bnc#819867)
- Avoid line break in patch pgf_plain.dif (bnc#823273)
* Tue May  7 2013 werner@suse.de
- As lcdf-typetools does not support kpathsea nor search below
  texmf tree build the texlive-lcdftypetools(-bin) packages again
  and let them conflict with the lcdf-typetools package.
* Mon May  6 2013 werner@suse.de
- Asymptote binaries may have the same version as the format files
  of the asymptote package it self (bnc#813032)
* Wed Mar 27 2013 werner@suse.de
- Change Obsoletes from < 2012+subversion to <= 2011 (bnc#811162)
- Let mathdesign require tex(texnansi.enc) (bnc#808731)
- Let biber-bin require perl(Text::BibTeX) (bnc#811258)
- Do not require xfs as we do not use xfs at all, otherwise we
  have to add some more lua code in the %%post scriptlet.
* Tue Feb 26 2013 werner@suse.de
- Avoid doubling mktex.opt content with excessive patch which had
  lead that the original content overrides the new one (bnc#801727)
* Tue Feb  5 2013 werner@suse.de
- Work around missing support of %%posttrans scriptlets in libzypp
  due missing rpm option for not to execute those scriptlets (bnc#773575)
* Tue Oct  9 2012 werner@suse.de
- Add require texlive-metapost for texlive-dvips
- Add some more requires for latex-bin
- Add require pdftex.def for texlive-pdftex
- Do not reqiure package pgfmath in pgffor.sty (bnc#783252)
* Wed Sep 12 2012 werner@suse.de
- Use disturl for rpmbuild runs
- Aggregate licenses for meta spec file automatically
* Wed Aug 29 2012 cfarrell@suse.com
- license update: GPL-2.0+ and LPPL-1.3c and GPL-3.0+ and MPL-1.1 and
  LPPL-1.0 and OFL-1.1 and Apache-2.0
  Aggregate licenses for spec file without subpackages
* Thu Aug  2 2012 werner@suse.de
- Change font config semantic as the font directories below
  /usr/share/fonts will be always found by freetype
* Fri Jul 20 2012 werner@suse.de
- Source validator does not like not applied patches
* Thu Jul 19 2012 werner@suse.de
- Correct path in pgf patch
* Thu Jul 19 2012 werner@suse.de
- Make the sub packagers texlive-spec-{a..z} valid for source
  validator
* Thu Jul 12 2012 werner@suse.de
- Add patch to make pgf work with plain TeX (bnc#746719)
* Thu Jun 28 2012 werner@suse.de
- Make jadetex format build in posttrans scriptlet
* Wed Jun 27 2012 werner@suse.de
- Add some missed files
- Break cycle between latex and latex-bin
* Tue Jun 26 2012 werner@suse.de
- move lgrenc.dfu from doc to tex tree
* Tue Jun 26 2012 werner@suse.de
- Avoid dependency loops between kpathsea, tetex, and texconfig
  with the main package texlive as otherwise the three packages
  will be isntalled before texlive
* Fri Jun 22 2012 werner@suse.de
- Make sure that posttrans scriptlets will execute update script
* Fri Jun 22 2012 werner@suse.de
- Re-run generator script to add missed docfiles
* Thu Jun 21 2012 werner@suse.de
- Avoid failing scriptlets due slice split
* Thu Jun 21 2012 werner@suse.de
- Modify the runtime Makefile to allow to build slices from the
  2236 spec files may help to speed up the serial checks and
  serial rpmlint run
* Thu Jun 21 2012 werner@suse.de
- Do not forget requirements of texlive-latex-bin
* Wed Jun 20 2012 werner@suse.de
- Add some minimal requirements for texlive-tex, texlive-latex,
  texlive-luatex, and texlive-texinfo
* Mon Jun 18 2012 werner@suse.de
- Fix wrong placement of tex files
- Xecyr has only win executables
* Mon Jun 18 2012 werner@suse.de
- Simplify dependency chain(s)
- Allow pure source packages (knuth, latex-tds, ...)
- Allow empty packages (hyphen, bibtexu, ...) for dependencies
* Thu Jun 14 2012 werner@suse.de
- Make RPMlint happy
* Thu Jun 14 2012 werner@suse.de
- Make main spec file run several rpmbuild processes in parallel
* Wed Jun 13 2012 werner@suse.de
- Update to frozen/final 2012 (timestamp 20120611)
* Mon Jun  4 2012 werner@suse.de
- Avoid source url for all tar balls as our checkin script can not
  handle snapshots nor is knowing about the infrastructure of the
  upstream TeXLive server
* Thu May 31 2012 werner@suse.de
- Do not forget the sub package like doc and fonts
* Thu May 31 2012 werner@suse.de
- Suppress leading dot in build release number
* Thu May 31 2012 werner@suse.de
- Change version/release scheme
- Avoid to list optional loaded but not existing files as required
* Thu May 24 2012 werner@suse.de
- Add fix for latex2man insecure tmp file handling (bnc#758046)
* Mon May 21 2012 werner@suse.de
- Avoid making delcmdchanges.bash to be a text file
* Mon May 14 2012 werner@suse.de
- If MT_FEATURES includes varfonts and system default is not
  writable choose $HOME/.cache/texmf/fonts
* Wed May  9 2012 werner@suse.de
- Make rpm lint happy
* Fri Apr 13 2012 werner@suse.de
- Initial packaging of TeXLive using package database texlive.tlpdb
  that is we have now a lot small packages around
